<?php
  
IF (!ISSET($user)){
  
  ECHO "<div class='error'>".LG('Извините, для Вас комментирование недоступно')."</div>";
  
}ELSE{
  
  IF (POST('ok_comm')){
    
    DB_FILTER();
    
    $err_data = 0;
    
    $comment = DB::GET_STRING("SELECT `MESSAGE` FROM `GUESTBOOK` WHERE `USER_ID` = '".$user['ID']."' ORDER BY `TIME` DESC LIMIT 1");
    
    $message = ADSL(POST('message'));
    
    $reply = NULL;
    $reply_user_id = NULL;
    
    IF (GET('reply')){
      
      $reply_comment = DB::GET_STRING("SELECT `ID`,`USER_ID` FROM `GUESTBOOK` WHERE `ID` = '".INTVAL(GET('reply'))."' AND `USER_ID` != '".$user['ID']."' LIMIT 1");
      
      IF (ISSET($reply_comment['ID'])){
        
        $reply = $reply_comment['ID'];
        $reply_user_id = $reply_comment['USER_ID'];
      
      }
      
      IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `NOTIFICATIONS_SETTINGS` WHERE `USER_ID` = '".$reply_user_id."' AND `GUESTBOOK` = '1' LIMIT 1") == 1){ 
        
        DB::GET_ADD("INSERT INTO `NOTIFICATIONS` (`USER_ID`, `OBJECT_ID`, `OBJECT_ID_LIST`, `TIME`, `TYPE`) VALUES ('".$reply_user_id."', '".$user['ID']."', '".$reply."', '".TIME()."', 'guestbook')");
      
      }
    
    }
    
    IF ($message == $comment['MESSAGE']){
      
      ERROR('Ваше сообщение повторяет предыдущее', 'session');
      $err_data = 1;
    
    }
    
    IF (STR($message) < 1){
      
      ERROR('Сообщение не может быть меньше 1 символа', 'session');
      $err_data = 1;
    
    }
    
    IF (STR($message) > 3000){
      
      ERROR('Сообщение не может быть больше 3000 символов', 'session');
      $err_data = 1;
    
    }
    
    IF ($err_data == 1){
      
      REDIRECT('/modules/?path=guestbook');
    
    }
    
    $ID = DB::GET_ADD("INSERT INTO `GUESTBOOK` (`MESSAGE`, `USER_ID`, `TIME`, `REPLY`, `REPLY_USER_ID`) VALUES ('".$message."', '".$user['ID']."', '".TIME()."', '".$reply."', '".$reply_user_id."')");
    
    DB::GET_SET("UPDATE `ATTACHMENTS` SET `ID_POST` = '".$ID."', `TYPE_POST` = 'guestbook', `ACT` = '1' WHERE `USER_ID` = '".$user['ID']."' AND `ACT` = '0' AND `COMMENTS` = '1'");
  
    //Начисление баллов
    BALLS_ADD('GUESTBOOK');
    
    //Начисление рейтинга
    RATING_ADD('GUEST');
    
    SUCCESS('Сообщение успешно добавлено', 'session');
    REDIRECT('/modules/?path=guestbook');
  
  }
  
  $reply = NULL;
  $reply_get = NULL;
  
  IF (GET('reply')){
    
    $comment = DB::GET_STRING("SELECT `USER_ID`,`ID` FROM `GUESTBOOK` WHERE `ID` = '".INTVAL(GET('reply'))."' AND `USER_ID` != '".$user['ID']."' LIMIT 1");
    $us_comment = DB::GET_STRING("SELECT `LOGIN`,`ID` FROM `USERS` WHERE `ID` = '".$comment['USER_ID']."' LIMIT 1");
    
    IF (!ISSET($comment['ID']) || !ISSET($us_comment['ID'])){
      
      ERROR('Неизвестная ошибка', 'session');
      REDIRECT('/modules/?path=guestbook');
    
    }
    
    $reply = $us_comment['LOGIN'].", ";
    $reply_get = "&reply=".$comment['ID']."";
  
  }
  
  HTML::COMMENT('ok_comm', '/modules/?path=guestbook'.$reply_get, $reply, 'guestbook');

}
  
?>